> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revolvie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaktionen abrufen

> Kontobewegungen deines Mandanten, neueste zuerst. Gesamtzahl im Header X-Total-Count.



## OpenAPI

````yaml api-reference/openapi.json GET /public/{tenant_id}/transactions
openapi: 3.1.0
info:
  title: revolvie API
  description: >-
    Lesender Zugriff auf deine Daten in revolvie über selbst erstellte
    API-Schlüssel.
  version: 1.0.0
servers:
  - url: https://api.revolvie.com/v1
security: []
paths:
  /public/{tenant_id}/transactions:
    get:
      tags:
        - Public API
      summary: Transaktionen abrufen
      description: >-
        Get the tenant's bank transactions, newest first. Total count in the
        X-Total-Count header.
      operationId: read_public_transactions_public__tenant_id__transactions_get
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            title: Tenant ID
        - name: from_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Buchungsdatum ab (inklusive), YYYY-MM-DD
            title: From Date
          description: Buchungsdatum ab (inklusive), YYYY-MM-DD
        - name: to_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Buchungsdatum bis (inklusive), YYYY-MM-DD
            title: To Date
          description: Buchungsdatum bis (inklusive), YYYY-MM-DD
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
              - type: 'null'
            description: 'Zuordnungsstatus: assigned, partly assigned, unassigned'
            title: Status
          description: 'Zuordnungsstatus: assigned, partly assigned, unassigned'
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicTransaction'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PublicTransaction:
      properties:
        id:
          type: string
          title: Id
          description: Eindeutige ID der Transaktion
        date:
          type: string
          format: date
          title: Date
          description: Buchungsdatum
        amount:
          type: number
          title: Amount
          description: Betrag in Euro; positiv = Eingang, negativ = Ausgang
        text:
          type: string
          title: Text
          description: Verwendungszweck
        iban:
          type: string
          title: Iban
          description: IBAN des eigenen Kontos
        contra_iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Contra Iban
          description: IBAN der Gegenseite
        contra_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Contra Name
          description: Name der Gegenseite
        status:
          $ref: '#/components/schemas/TransactionStatus'
          description: Zuordnungsstatus in revolvie
      type: object
      required:
        - id
        - date
        - amount
        - text
        - iban
        - contra_iban
        - contra_name
        - status
      title: PublicTransaction
      description: Eine Kontobewegung.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransactionStatus:
      type: string
      enum:
        - assigned
        - partly assigned
        - unassigned
      title: TransactionStatus
      description: Enum for transaction status.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Selbst erstellter revolvie API-Schlüssel (rvk_...).
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.